Subject: Chinese and Japanese Mac OS

From: Morten Schlutter <[email-masked]>
Date: Tue, 26 Mar 91 00:09:21 EST

I have recently been experimenting a good deal with the Chinese and
Japanese operating systems for the Macintosh and I thought others out
there might be interested in some the following.

On the latest developer CD from Apple ('Gorillas in the Disk') there are
versions of OS 6.07 for Japanese and simplified Chinese, and 6.05 for
traditional Chinese. The Japanese and simplified Chinese systems come
with only a few fonts and no large sizes, so one cannot get good laser
printer or HP DeskWriter output. However, Canon makes large fonts for th
e
Japanese system, and they may be available here in the US.

The traditional Chinese system comes with several large size fonts. I
use it with Ed Lai's excellent input utility Cihui 1.8 which allows inpu
t
in pinyin and which can be set to remember new words. Installing the
system is very straightforward. However, to use the Kai and Song fonts,
which are necessary even for decent ImageWriter output, one has to
install them with the installer disk from version 6.04 which is on an
earlier developer CD, I think the one called 'A Disk named Wanda.' Even
though the fonts are included on the new developer CD, they cannot be
installed into the system with the 6.05 installer disks!

I have found that it is possible to update one language system with
another language system while still keeping all the original resources.
This means that even though the traditional Chinese OS is 6.05 (and
therefore will not work on some of the new Macintoshes), one can update
it with the English 6.07 OS and it will work fine. It can also be update
d
with the Japanese OS 6.07, and then one can switch between Japanese and
Chinese input. (Except that the new 'inline' utility of the Japanese
system seems to crash with the Chinese system init on. But I couldn't
make it work anyway, does anyone know what it does?) Presumably one coul
d
further update the whole thing with Korean, Arabic or whatever, even
though it would take a lot of memory to run.

If you don't have access to the developer CDs, many foreign language
systems can be had from Linguist's Software (buy through MacConnection -
it is cheaper), but they may not have the latest versions. Does anyone
know of other sources?

I would be very interested in hearing about other people's experiences
with the Chinese and Japanese OSs. Does anyone know about the VJE input
method for the Japanese system? And how can Ed Lai's Cihui be modified
with new characters that one has created, or new pronunciations of
existing characters? Also, as far as I know, the only major wordprocesso
r
that works flawlessly with the Chinese and Japanese OSs is Nisus. Does
anyone know of other good wordprocessors that will work?

Morten